<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Carrera</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:fieldset legend="Agregar Carrera"  style="margin-bottom:10px">
                    <h:form id="formCarrera">
                        <p:growl id="mensaje"/>
                         <h:panelGrid columns="12" cellpadding="5" cellspacing="2"> 
                            <p:outputLabel value="Nombre de la Carrera" />
                            <p:inputText value="#{carreraController.carrera.carrera}" style="width:100%"/>
                            <p:outputLabel value="Facultad" />
                            <p:selectOneMenu value="#{carreraController.facultad.id}" required="true">
                                <f:selectItems value="#{facultadController.listaFacultad}" var="facultades" itemLabel="#{facultades.facultad}" itemValue="#{facultades.id}"/>
                            </p:selectOneMenu>
                             </h:panelGrid>
                             <h:panelGrid columns="2" cellpadding="2" cellspacing="2"> 
                            <div class="registrar"> 
                                <p:commandButton style="margin-left: 150px; top:5px;"  icon="pi pi-save" rendered="#{carreraController.carrera.facultad==null}" value="Registrar" action="#{carreraController.insertar()}" update=":listaCarrera, :formCarrera, :formCarrera:mensaje" />
                            </div>
                            <p:commandButton style="margin-left: 47px;"  icon="pi pi-times" rendered="#{carreraController.carrera.facultad!=null}" value="Cancelar" action="#{carreraController.init()}" update=":listaCarrera, :formCarrera, :formCarrera:mensaje" />
                            <p:commandButton  icon="pi pi-refresh" rendered="#{carreraController.carrera.facultad!=null}" value="Actualizar" action="#{carreraController.editar()}" update=":listaCarrera, :formCarrera, :formCarrera:mensaje" />
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
          
                <p:fieldset legend="Listado de Carreras">
                    <h:form id="listaCarrera" class="tresColumnas">
                        <p:dataTable value="#{carreraController.lista}" var="carrera"  paginator="true" rows="5" reflow="true" style="margin: auto; margin-top:2px">
                            <p:column headerText="Carrera">
                                <p:outputLabel value="#{carrera.carrera}"/>
                            </p:column>
                            <p:column headerText="Facultad">
                                <p:outputLabel value="#{carrera.facultad.facultad}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton  icon="pi pi-trash" value="Eliminar" action="#{carreraController.eliminar(carrera)}" update=":listaCarrera"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton  icon="pi pi-pencil" value="Editar" action="#{carreraController.consultarById(carrera)}" update=":formCarrera"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

